Gtk-WARNING **: cannot open display #407

Closed
knocte opened this Issue Apr 10, 2013 · 10 comments

Projects

None yet

4 participants

@knocte
knocte commented Apr 10, 2013

In a headless (no UI packages) debian install, we're getting this error.

Does FPM depend on some GTK component??

@r4um
Collaborator
r4um commented Apr 10, 2013

Nope, no dependency on GTK.

@jordansissel
Owner

Can you show your command line that does this?

@jordansissel
Owner

And you're positive it's the fpm invocation that emits that message, not any prior command in your script?

@knocte
knocte commented Apr 11, 2013

@hibri, can you answer that? ^

@hibri
hibri commented Apr 11, 2013

Yup.
apt-get install fpm on a debian wheezy vm
I see the message when running fpm by itself. fpm with no args.

@knocte
knocte commented Apr 11, 2013

What?

Wait a sec @hibri , fpm is a gem, not a deb!

What is fpm in debian? It's not here: http://packages.debian.org/wheezy/fpm

@r4um
Collaborator
r4um commented Apr 11, 2013

Looks like it is http://als.regnet.cz/fpm2/, same name and invocation fpm installed via sudo apt-get install fpm.

@knocte
knocte commented Apr 12, 2013

Alright, sorry for the noise/confusion guys!

@knocte knocte closed this Apr 12, 2013
@jordansissel
Owner

haha, no worries ;)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment